Package it.ernytech.tdlib

## Class TdApi.SetChatPhoto

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SetChatPhoto

Enclosing class:
  TdApi

    public static class TdApi.SetChatPhoto
    extends TdApi.Function

Changes the photo of a chat. Supported only for basic groups, supergroups and channels. Requires administrator rights in basic groups and the appropriate administrator rights in supergroups and channels. The photo will not be changed before request to the server has been completed.

Returns `Ok`

### Field Summary

Fields
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.InputFile` `photo` New chat photo.

### Constructor Summary

Constructors
`SetChatPhoto()` Default constructor.
`SetChatPhoto​(long chatId, TdApi.InputFile photo)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### photo

    public TdApi.InputFile photo

New chat photo. You can use a zero InputFileId to delete the chat photo. Files that are accessible only by HTTP URL are not acceptable.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SetChatPhoto

    public SetChatPhoto()

Default constructor.

#### SetChatPhoto

    public SetChatPhoto​(long chatId,
                        TdApi.InputFile photo)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.
  `photo` - New chat photo. You can use a zero InputFileId to delete the chat photo. Files that are accessible only by HTTP URL are not acceptable.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR